jQuery(document).ready(function($) {
	try { $('.corethinkertheme-color-option').wpColorPicker(); }
	finally {}
	$('ul.corethinkertheme-settings-tabs a').bind('click', function(index){
		$('ul.corethinkertheme-settings-tabs li').removeClass('tab-active');
		$(this).parent().addClass('tab-active');
		if ( $(this).attr('href') == '#corethinkertheme-display-all') {
			$('.corethinkertheme-settings-section').show();
		}
		else {
			$('.corethinkertheme-settings-section').hide();
			$('.' + $( this ).attr('href').substring(1) ).toggle();
		}
		$('.corethinkertheme-slides textarea').each(function(index, elem) {
			corethinkertheme_add_quicktags(elem.getAttribute('id'));
		});
		return false;
	});
});

window.qtjs = location.href;
qtjs = qtjs.substring(0, qtjs.indexOf('/wp-admin')) + '/wp-includes/js/quicktags.js';

/*
	Adds quicktags to the textarea identified by id
*/

function corethinkertheme_add_quicktags(id) {
	if (!jQuery('#qt_'+ id + '_toolbar').length) {
		jQuery('<script src="' + qtjs + '"></script>').insertBefore('#'+id);
		quicktags({id: id, buttons: 'strong,em,link,block,del,ins,ul,ol,li,code,close'});
	}
}

function corethinkertheme_reset() {
	if (confirm(corethinkertheme_admin.reset)) {
		jQuery('#corethinkertheme_action').val('reset');
		jQuery('#corethinkertheme_options_form').submit();
	}
}

function corethinkertheme_upload() {
	if (confirm(corethinkertheme_admin.upload)) {
		jQuery('#corethinkertheme_action').val('upload');
		jQuery('#corethinkertheme_options_form').submit();
	}
}

function corethinkertheme_remove_slide(i) {
	if (confirm(corethinkertheme_admin.slide_remove)) {
		jQuery('#slide-' + i).remove();
	}
	return false;
}

function corethinkertheme_add_new_slide() {
	var i = 0;
	var html, id;
	var after = '.corethinkertheme-slides h3.edit-slides';
	var slides = jQuery('.corethinkertheme-slides > div');
	slides.each(function(index, elem) {
		id = jQuery(elem).attr('id');
		i = Math.max(i, id.substring(6));
		after = '#'+ id;
	});

	i++;

	html = '<div id="slide-' + i + '" class=""><h4><span class="space"> </span>'
		+ corethinkertheme_admin.slide + ' #' + i + ' &nbsp; <a name="slide-' + i
		+ '" class="slide-remove" href="#" onclick="corethinkertheme_remove_slide(' + i
		+ ');">&times;</a></span></h4>';
	
	html += '<p><label for="corethinkertheme_options-slides-' + i + '-title">'
		+ corethinkertheme_admin.title + '</label>' + '<input id="corethinkertheme_options-slides-'
		+ i + '-title" type="text" name="corethinkertheme_options[slides][' + i + '][title]" value="" /></p>';

	html += '<p><label for="corethinkertheme_options-slides-'+ i + '-src">' + corethinkertheme_admin.image_url + '</label>'
		+ '<input id="corethinkertheme_options-slides-' + i + '-src" type="text" name="corethinkertheme_options[slides]['
		+ i + '][src]" onchange="corethinkertheme_slide_preview_change(' + i + ');" /></p>'
		+ '<p><span class="space"> </span><a href="#" id="slide-url-choose-' + i
		+ '" class="button button-secondary slide-url-choose" onclick="corethinkertheme_slide_choose(' + i
		+ ');"><span class="media-icon"></span> ' + corethinkertheme_admin.choose
		+ '</a> <span class="slide-preview" id="slide-preview-'	+ i + '"></span></p>';

	html += '<div><label class="slide-textarea-label" for="corethinkertheme_options-slides-' + i
		+ '-content">' + corethinkertheme_admin.description + '</label></div>';

	html += '<div id="wp-corethinkertheme_options-slides-' + i +'-content-wrap" class="slide-textarea-wrap">'

	html += '<textarea class="wp-editor-area" rows="5" id="corethinkertheme_options-slides-' + i + '-content" '
		+ 'name="corethinkertheme_options[slides][' + i + '][content]"></textarea>';
	html += '</div>';

	html += '<p><label for="corethinkertheme_options-slides-' + i + '-link">' + corethinkertheme_admin.link
		+ '</label>' + '<input id="corethinkertheme_options-slides-' + i
		+ '-link" type="text" name="corethinkertheme_options[slides][' + i + '][link]" /></p>';

	html += '<p><label for="corethinkertheme_options-slides-' + i + '-alt">'
		+ corethinkertheme_admin.alt_text + '</label>' + '<input id="corethinkertheme_options-slides-' + i
		+ '-alt" type="text" name="corethinkertheme_options[slides][' + i + '][alt]" /></p></div>';

	jQuery(html).insertAfter(after);
	corethinkertheme_add_quicktags('corethinkertheme_options-slides-' + i + '-content');
	window.location.hash = "#add-new-slide";
}

function corethinkertheme_slide_preview_change(n) {
	var src = jQuery('#corethinkertheme_options-slides-'+ n + '-src').val();
	jQuery('#slide-preview-'+ n).html( (src ? '<img src="' + src + '" alt="" />' : '') );
}

function corethinkertheme_slide_choose(n) {
	var corethinkertheme_uploader;

	if (corethinkertheme_uploader) {
		corethinkertheme_uploader.open();
		return;
	}

	corethinkertheme_uploader = wp.media.frames.file_frame = wp.media({
		title: corethinkertheme_admin.choose_image,
		button: {text: corethinkertheme_admin.choose_image},
		multiple: false
	});

	corethinkertheme_uploader.on('select', function() {
		attachment = corethinkertheme_uploader.state().get('selection').first().toJSON();
		jQuery('#corethinkertheme_options-slides-'+ n + '-src').val(attachment.url);
		jQuery('#slide-preview-'+ n).html( '<img src="' + attachment.url + '" alt="" />' );
		jQuery('#corethinkertheme_options-slides-' + n + '-alt').val(attachment.alt);
		jQuery('#corethinkertheme_options-slides-' + n + '-title').val(attachment.title);
		jQuery('#corethinkertheme_options-slides-' + n + '-content').val(attachment.description);
	});

	corethinkertheme_uploader.open();
	return false;
}
